Index: trunk/autoquest-core-usability-test/src/test/java/de/ugoe/cs/autoquest/usability/TextInputStatisticsRuleTest.java
===================================================================
--- trunk/autoquest-core-usability-test/src/test/java/de/ugoe/cs/autoquest/usability/TextInputStatisticsRuleTest.java	(revision 1335)
+++ trunk/autoquest-core-usability-test/src/test/java/de/ugoe/cs/autoquest/usability/TextInputStatisticsRuleTest.java	(revision 1918)
@@ -15,15 +15,11 @@
 package de.ugoe.cs.autoquest.usability;
 
-import static de.ugoe.cs.autoquest.usability.UsabilityDefectDescription.TEXT_FIELD_INPUT_RATIO;
-import static de.ugoe.cs.autoquest.usability.UsabilityDefectDescription.TEXT_FIELD_INPUT_REPETITIONS;
-import static de.ugoe.cs.autoquest.usability.UsabilityDefectDescription.TEXT_FIELD_NO_LETTER_OR_DIGIT_RATIO;
-import static de.ugoe.cs.autoquest.usability.UsabilityDefectSeverity.HIGH;
-import static de.ugoe.cs.autoquest.usability.UsabilityDefectSeverity.INFO;
-import static de.ugoe.cs.autoquest.usability.UsabilityDefectSeverity.LOW;
-import static de.ugoe.cs.autoquest.usability.UsabilityDefectSeverity.MEDIUM;
+import static de.ugoe.cs.autoquest.usability.UsabilitySmellDescription.TEXT_FIELD_INPUT_RATIO;
+import static de.ugoe.cs.autoquest.usability.UsabilitySmellDescription.TEXT_FIELD_INPUT_REPETITIONS;
+import static de.ugoe.cs.autoquest.usability.UsabilitySmellDescription.TEXT_FIELD_NO_LETTER_OR_DIGIT_RATIO;
 
 import org.junit.Test;
 
-import de.ugoe.cs.autoquest.usability.UsabilityDefect;
+import de.ugoe.cs.autoquest.usability.UsabilitySmell;
 
 /**
@@ -45,8 +41,9 @@
             "}";
         
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_RATIO) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -68,8 +65,9 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_RATIO) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -92,8 +90,9 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_RATIO) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -115,8 +114,9 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_RATIO) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -177,8 +177,9 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_RATIO) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
     }
 
@@ -202,8 +203,9 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(LOW, TEXT_FIELD_INPUT_RATIO) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*LOW*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
     }
 
@@ -227,8 +229,9 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(INFO, TEXT_FIELD_INPUT_RATIO) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*INFO*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -254,7 +257,7 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[0];
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[0];
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -276,8 +279,9 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_RATIO) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -342,8 +346,9 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(LOW, TEXT_FIELD_INPUT_RATIO) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*LOW*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -408,8 +413,9 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(INFO, TEXT_FIELD_INPUT_RATIO) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*INFO*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
     }
 
@@ -430,10 +436,13 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_RATIO),
-              new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_REPETITIONS),
-              new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_REPETITIONS) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO),
+              new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS),
+              new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
     }
 
@@ -462,20 +471,33 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_RATIO),
-              new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_REPETITIONS),
-              new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_REPETITIONS),
-              new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_REPETITIONS),
-              new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_REPETITIONS),
-              new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_REPETITIONS),
-              new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_REPETITIONS),
-              new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_REPETITIONS),
-              new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_REPETITIONS),
-              new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_REPETITIONS),
-              new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_REPETITIONS),
-              new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_REPETITIONS),
-              new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_REPETITIONS) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO),
+              new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS),
+              new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS),
+              new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS),
+              new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS),
+              new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS),
+              new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS),
+              new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS),
+              new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS),
+              new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS),
+              new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS),
+              new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS),
+              new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -501,10 +523,13 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_RATIO),
-              new UsabilityDefect(MEDIUM, TEXT_FIELD_INPUT_REPETITIONS),
-              new UsabilityDefect(MEDIUM, TEXT_FIELD_INPUT_REPETITIONS) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO),
+              new UsabilitySmell(/*MEDIUM*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS),
+              new UsabilitySmell(/*MEDIUM*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -530,10 +555,13 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_RATIO),
-              new UsabilityDefect(LOW, TEXT_FIELD_INPUT_REPETITIONS),
-              new UsabilityDefect(LOW, TEXT_FIELD_INPUT_REPETITIONS) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO),
+              new UsabilitySmell(/*LOW*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS),
+              new UsabilitySmell(/*LOW*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -565,10 +593,13 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_RATIO),
-              new UsabilityDefect(INFO, TEXT_FIELD_INPUT_REPETITIONS),
-              new UsabilityDefect(INFO, TEXT_FIELD_INPUT_REPETITIONS) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO),
+              new UsabilitySmell(/*INFO*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS),
+              new UsabilitySmell(/*INFO*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -595,10 +626,13 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_RATIO),
-              new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_REPETITIONS),
-              new UsabilityDefect(MEDIUM, TEXT_FIELD_INPUT_REPETITIONS) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO),
+              new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS),
+              new UsabilitySmell(/*MEDIUM*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
     }
 
@@ -623,10 +657,13 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_RATIO),
-              new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_REPETITIONS),
-              new UsabilityDefect(LOW, TEXT_FIELD_INPUT_REPETITIONS) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO),
+              new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS),
+              new UsabilitySmell(/*LOW*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_REPETITIONS) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
     }
 
@@ -646,9 +683,11 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_RATIO),
-              new UsabilityDefect(HIGH, TEXT_FIELD_NO_LETTER_OR_DIGIT_RATIO) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO),
+              new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_NO_LETTER_OR_DIGIT_RATIO) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -669,9 +708,11 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_RATIO),
-              new UsabilityDefect(MEDIUM, TEXT_FIELD_NO_LETTER_OR_DIGIT_RATIO) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO),
+              new UsabilitySmell(/*MEDIUM*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_NO_LETTER_OR_DIGIT_RATIO) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -692,9 +733,11 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_RATIO),
-              new UsabilityDefect(LOW, TEXT_FIELD_NO_LETTER_OR_DIGIT_RATIO) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO),
+              new UsabilitySmell(/*LOW*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_NO_LETTER_OR_DIGIT_RATIO) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
@@ -716,9 +759,11 @@
             "}";
 
-        UsabilityDefect[] expectedDefects = new UsabilityDefect[]
-            { new UsabilityDefect(HIGH, TEXT_FIELD_INPUT_RATIO),
-              new UsabilityDefect(INFO, TEXT_FIELD_NO_LETTER_OR_DIGIT_RATIO) };
-
-        assertUsabilityEvaluationResult(expectedDefects, rule.evaluate(createTaskModel(spec)));
+        UsabilitySmell[] expectedSmells = new UsabilitySmell[]
+            { new UsabilitySmell(/*HIGH*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_INPUT_RATIO),
+              new UsabilitySmell(/*INFO*/ UsabilitySmellIntensity.getIntensity(0),
+                                  TEXT_FIELD_NO_LETTER_OR_DIGIT_RATIO) };
+
+        assertUsabilityEvaluationResult(expectedSmells, rule.evaluate(createTaskModel(spec)));
 
     }
